aboutsummaryrefslogtreecommitdiff
path: root/security/wazuh-manager/files/wazuh-manager.in
diff options
context:
space:
mode:
Diffstat (limited to 'security/wazuh-manager/files/wazuh-manager.in')
-rw-r--r--security/wazuh-manager/files/wazuh-manager.in60
1 files changed, 60 insertions, 0 deletions
diff --git a/security/wazuh-manager/files/wazuh-manager.in b/security/wazuh-manager/files/wazuh-manager.in
new file mode 100644
index 000000000000..e49211d40300
--- /dev/null
+++ b/security/wazuh-manager/files/wazuh-manager.in
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# PROVIDE: wazuh_manager
+# REQUIRE: LOGIN
+# KEYWORD: shutdown
+#
+# Add these lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+# wazuh_manager_enable (bool): Set to NO by default.
+# Set it to YES to enable Wazuh Agent.
+#
+
+. /etc/rc.subr
+
+name="wazuh_manager" # How the service will be invoked from service
+rcvar="${name}_enable" # The variable in rc.conf that will allow this service to run
+
+load_rc_config $name # Loads the config file, if relevant.
+
+: ${wazuh_manager_enable:="NO"}
+
+command="/var/ossec/bin/wazuh-control"
+extra_commands="status"
+
+start_cmd="wazuh_manager_start"
+stop_cmd="wazuh_manager_stop"
+status_cmd="wazuh_manager_status"
+
+wazuh_manager_start() {
+ echo -n "Starting Wazuh Manager: "
+ ${command} start > /dev/null
+ RETVAL=$?
+ if [ $RETVAL -eq 0 ]; then
+ echo success
+ else
+ echo failure
+ fi
+ echo
+ return $RETVAL
+}
+
+wazuh_manager_stop() {
+ echo -n "Stopping Wazuh Manager: "
+ ${command} stop > /dev/null
+ RETVAL=$?
+ if [ $RETVAL -eq 0 ]; then
+ echo success
+ else
+ echo failure
+ fi
+ echo
+ return $RETVAL
+}
+
+wazuh_manager_status() {
+ ${command} status
+}
+
+run_rc_command "$@"
+